# Class IgnoreOpponentEvasionAbAttr

Ignores opponent's evasion stat changes when determining if a move hits or not

#### See

`apply`

#### Hierarchy (view full)

- AbAttr
  - IgnoreOpponentEvasionAbAttr

- Defined in src/data/ability.ts:1455

#####
Index

### Constructors

constructor

### Properties

showAbility

### Methods

addCondition
apply
getCondition
getTriggerMessage

## Constructors

### constructor

- new IgnoreOpponentEvasionAbAttr(): IgnoreOpponentEvasionAbAttr

- #### Returns IgnoreOpponentEvasionAbAttr

  Overrides AbAttr.constructor

  - Defined in src/data/ability.ts:1456

## Properties

### showAbility

showAbility: boolean

Inherited from AbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from AbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean

- Checks if enemy Pokemon is trapped by an Arena Trap-esque ability

  #### Parameters

  - pokemon: default

    N/A

  - passive: boolean

    N/A

  - cancelled: BooleanHolder

    N/A

  - args: any[]

    [0] `Utils.IntegerHolder` of BattleStat.EVA

  #### Returns boolean

  if evasion level was successfully considered as 0

  Overrides AbAttr.apply

  - Defined in src/data/ability.ts:1467

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from AbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from AbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137